delete-ingredient-catalog-by-jsin

Source

  • Repository: jef-systems/jef-caferimo-backend

  • Module: caferimo

  • Documentation Scope: async

  • Lambda: jef-caferimo-delete-1

Endpoint

  • API Name: jef-caferimo

  • Action Name: delete

  • Method: DELETE

  • Scope Label: Async

  • Resource Path: /delete-ingredient-catalog-by-jsin

  • Complete Endpoint: https://lfyr4e0eqe.execute-api.ap-southeast-1.amazonaws.com/prod/delete-ingredient-catalog-by-jsin

  • Lambda ARN: arn:aws:lambda:ap-southeast-1:246715082475:function:jef-caferimo-delete-1

  • curl payload mode: json_body

API Gateway Description

Function: jef-caferimo-delete-1
API Name: jef-caferimo
Action: delete
Method: DELETE
Resource Path: /delete-ingredient-catalog-by-jsin

Payload:
- jsin: string

Response:
- exists: boolean
- message: string
- item: {"pk":"string-jsin","gsi_1_pk":"string-barcode","jsin":"string","barcode":"string","product_name":"string","product_unit":"string"}
- deleted_pk: string

Request Payload

{
  "jsin": "string"
}

Response

{
  "exists": "boolean",
  "message": "string",
  "item": "{\"pk\":\"string-jsin\",\"gsi_1_pk\":\"string-barcode\",\"jsin\":\"string\",\"barcode\":\"string\",\"product_name\":\"string\",\"product_unit\":\"string\"}",
  "deleted_pk": "string"
}

CMD curl

curl -X DELETE "https://lfyr4e0eqe.execute-api.ap-southeast-1.amazonaws.com/prod/delete-ingredient-catalog-by-jsin" -H "Content-Type: application/json" --data-raw "{\"jsin\": \"string\"}"

PowerShell curl

curl.exe -X DELETE "https://lfyr4e0eqe.execute-api.ap-southeast-1.amazonaws.com/prod/delete-ingredient-catalog-by-jsin" -H "Content-Type: application/json" --data-raw '{"jsin": "string"}'